node-jquery-ujs_1.2.2-2_all.deb


Advertisement

Description

node-jquery-ujs - Unobtrusive scripting adapter for jQuery

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-jquery-ujs_1.2.2-2_all.deb
Package name node-jquery-ujs
Package version 1.2.2
Package release 2
Package architecture all
Package type deb
Category universe/javascript
Homepage https://github.com/rails/jquery-ujs#readme
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 9.29 KB
Installed size 39.00 KB
This unobtrusive scripting support file is developed for the Ruby on Rails
framework, but is not strictly tied to any specific backend. You can drop
this into any application to:
- force confirmation dialogs for various actions;
- make non-GET requests from hyperlinks;
- make forms or hyperlinks submit data asynchronously with Ajax;
- have submit buttons become automatically disabled on form submit to
prevent double-clicking.
These features are achieved by adding certain "data" attributes to your HTML
markup. In Rails, they are added by the framework's template helpers.
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-jquery-ujs_1.2.2-2_all.deb 1.2.2 all Ubuntu Universe
node-jquery-ujs - - -

Requires

Name Value
node-jquery >= 1.8.0
nodejs -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-jquery-ujs_1.2.2-2_all.deb
Source Package node-jquery-ujs

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-jquery-ujs deb package:
    # sudo apt-get install node-jquery-ujs

Files

Path
/usr/lib/nodejs/jquery-ujs/package.json
/usr/lib/nodejs/jquery-ujs/src/rails.js
/usr/share/doc/node-jquery-ujs/README.md
/usr/share/doc/node-jquery-ujs/changelog.Debian.gz
/usr/share/doc/node-jquery-ujs/copyright

Changelog

2018-09-17 - Pirate Praveen <praveen@debian.org>
node-jquery-ujs (1.2.2-2) unstable; urgency=medium
[ Paolo Greppi ]
* Update Vcs fields for migration to https://salsa.debian.org/
[ Pirate Praveen ]
* Bump debhelper compatibility level to 11
* Bump Standards-Version to 4.2.1 (no changes needed)
2017-12-04 - Pirate Praveen <praveen@debian.org>
node-jquery-ujs (1.2.2-1) unstable; urgency=low
* Initial release (Closes: #883479)

See Also

Package Description
node-jquery.waitforimages_2.4.0+ds-1_all.deb useful callbacks once descendant images have loaded
node-jquery_2.2.4+dfsg-3_all.deb NodeJS wrapper for jQuery
node-js-beautify_1.7.5+dfsg-2_all.deb beautifier.io for node
node-js-cookie_2.2.0-2_all.deb Lightweight JavaScript cookie API
node-js-tokens_2.0.0-1_all.deb Regex that tokenizes JavaScript
node-js-yaml_3.11.0+dfsg-1_all.deb YAML 1.2 parser and serializer
node-jsbn_1.1.0-1_all.deb fast, portable implementation of large-number math in pure JS
node-jschardet_1.6.0+dfsg-3_all.deb Character encoding auto-detection in JavaScript
node-jsesc_2.5.2-1_all.deb Escape JavaScript strings, with short output (Node.js module)
node-json-buffer_3.0.0-1_all.deb JSON functions that can convert buffers
node-json-loader_0.5.4-1_all.deb json loader for webpack
node-json-localizer_0.0.3-1_all.deb Utility to localize a json object
node-json-parse-better-errors_1.0.2-2_all.deb JSON.parse() with context information on error
node-json-parse-helpfulerror_1.0.3-2_all.deb drop-in replacement for JSON.parse that uses `jju`
node-json-schema-traverse_0.3.1-1_all.deb Json schema traveral package
Advertisement
Advertisement